Skip to content
Pasqal Documentation

Results are limited to the current section : Cloud Services

Get Ovh User Job Details Usage Report

GET
/api/v1/third-party-access/ovh/usage/{name}

Get detailed job usage for a specific OVH user/notebook, including status, timestamps, execution time, pricing, and run count for a given time period.

name
required
Name
string
report_start
required
Report Start

Start of the report period

string format: date-time

Start of the report period

report_end
required
Report End

End of the report period

string format: date-time

End of the report period

limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0

Successful Response

HeaderPaginatedResponse[ThirdPartyJobUsageDetail]

A list of responses with pagination information.

For backwards compatibility, this also exposes pagination using the following header format:

Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLE
object
status
string
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ThirdPartyJobUsageDetail
object
job_id
required
Job Id
string format: uuid
status
required
JobStatus

An enumeration.

string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
start_timestamp
required
Start Timestamp
string format: date-time
end_timestamp
required
End Timestamp
string format: date-time
execution_time
required
Execution Time
integer
price_per_hour
required
Price Per Hour
number
total_price
required
Total Price
number
runs
required
Runs
integer
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string